curl --request PUT \
--url https://api.zuddl.com/v1/events/{eventId}/speakers/{speakerId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "John",
"lastName": "Doe",
"company": "Tech Innovations Inc.",
"designation": "Chief Technology Officer",
"bio": "<p>John is a <strong>renowned expert</strong> in his field...</p>",
"linkedInProfile": "https://www.linkedin.com/in/johndoe",
"twitterProfile": "https://twitter.com/johndoe",
"facebookProfile": "https://www.facebook.com/johndoe",
"websiteUrl": "https://johndoe.com",
"externalRefId": "d812a64f8865428990249a120792c3d8"
}
'import requests
url = "https://api.zuddl.com/v1/events/{eventId}/speakers/{speakerId}"
payload = {
"firstName": "John",
"lastName": "Doe",
"company": "Tech Innovations Inc.",
"designation": "Chief Technology Officer",
"bio": "<p>John is a <strong>renowned expert</strong> in his field...</p>",
"linkedInProfile": "https://www.linkedin.com/in/johndoe",
"twitterProfile": "https://twitter.com/johndoe",
"facebookProfile": "https://www.facebook.com/johndoe",
"websiteUrl": "https://johndoe.com",
"externalRefId": "d812a64f8865428990249a120792c3d8"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: 'John',
lastName: 'Doe',
company: 'Tech Innovations Inc.',
designation: 'Chief Technology Officer',
bio: '<p>John is a <strong>renowned expert</strong> in his field...</p>',
linkedInProfile: 'https://www.linkedin.com/in/johndoe',
twitterProfile: 'https://twitter.com/johndoe',
facebookProfile: 'https://www.facebook.com/johndoe',
websiteUrl: 'https://johndoe.com',
externalRefId: 'd812a64f8865428990249a120792c3d8'
})
};
fetch('https://api.zuddl.com/v1/events/{eventId}/speakers/{speakerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}Update an existing speaker
Use this endpoint to update an existing speaker for a specific event type in your Zuddl organization.
Required API key scopes: WRITE
This API can only be called with an access key that was generated for Backend usage.
Authorizations
Provide your API key secret in the Authorization header
Path Parameters
Unique identifier of the event
^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$Unique identifier of the speaker
Body
First name of the speaker
150"John"
Last name of the speaker
150"Doe"
Company of the speaker
200"Tech Innovations Inc."
Designation of the speaker
200"Chief Technology Officer"
Bio of the speaker. May contain rich-text HTML markup (e.g. bold, italic, lists, links). Plain text is also accepted and stored as-is. Disallowed content (script/iframe tags, javascript: URLs, inline event handlers) is rejected.
3000"<p>John is a <strong>renowned expert</strong> in his field...</p>"
LinkedIn profile URL of the speaker
"https://www.linkedin.com/in/johndoe"
Twitter profile URL of the speaker
"https://twitter.com/johndoe"
Facebook profile URL of the speaker
"https://www.facebook.com/johndoe"
Personal website URL of the speaker
"https://johndoe.com"
A reference ID that you can use to map this speaker to your external systems or databases
"d812a64f8865428990249a120792c3d8"
Response
Speaker updated successfully
Was this page helpful?